This test is similar to cirros-minios-stubdom-hvm test, differing by
explicitly exposing the xen netfront and blockfront drivers
Signed-off-by: Géza Gémes <geza.gemes@gmail.com>
Reviewed-by: Stefano Stabellini <sstabellini@kernel.org>
--- /dev/null
+#!/usr/bin/env bash
+
+set -e
+
+function cirros-minios-stubdom-pvhvm-cleanup() {
+ tear_down_cirros_test $testdir
+}
+
+function cirros-minios-stubdom-pvhvm-test() {
+ download_cirros_components
+ testdir=`mktemp -d`
+ cp $CIRROS_DOWNLOADS/$CIRROS_DISK_FILE $testdir
+ cat >$testdir/cirros-minios-stubdom-pvhvm.cfg <<EOF
+name = "raisin-test"
+builder = "hvm"
+device_model_stubdomain_override = 1
+xen_platform_pci = 1
+memory = 128
+vcpus = 2
+disk = [ '$testdir/$CIRROS_DISK_FILE,raw,xvda,rw' ]
+vif = [ 'bridge=xenbr1' ]
+serial="pty"
+boot="c"
+EOF
+
+ $SUDO xl create $testdir/cirros-minios-stubdom-pvhvm.cfg
+ check_guest_alive
+}
cirros-qemu-hvm
cirros-minios-stubdom-hvm
cirros-qemu-pvhvm
+cirros-minios-stubdom-pvhvm